{% extends "layout.html" %}
{% load myfilters %}
{% block title %}Status Lamaran{% endblock %}

{% block body %}	
	<div class="row">
		<div class="col-md-2">
		</div>
		<div class="col-md-8">
			{% if messages %}
				{% for message in messages %}
					<div class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}" role="alert">{{ message }}</div>
				{% endfor %}
			{% endif %}
			<h2 class="text-center m-2 ">Status Lamaran Untuk Posisi<br>{{data.lowongan.posisi}}</b></h2>
			{% if data.notifikasi_lamaran.first.lulus is None %}
			<div class="alert alert-info text-center">Lamaran anda sedang dalam proses pemeriksaan</div>
			{% elif data.notifikasi_lamaran.first.lulus == True %}
			<div class="alert alert-success text-center"><h4>Selamat anda Lulus, silahkan mengerjakan tahap selanjutnya yaitu menyelesaikan test yang berada di bawah</h4></div>
				<form action="{% url 'status_lamaran' data.id %}" method="post">
					{% csrf_token %}
					<table class="table">
					  <tbody>
						<tr>
							<td>Test Psikologi</td>
							<td>{{soal.psikologi}}</td>				  
						</tr>
						<tr>
							<td>Jawaban Test Psikologi</td>
							<td>{{form.psikologi|addclass:'form-control'}}</td>				  
						</tr>
						<tr>
						  <td>Test Teknis</td>
						  <td>{{soal.teknis}}</td>				  
						</tr>
						<tr>
						  <td>Jawaban Test Teknis</td>
						  <td>{{form.teknis|addclass:'form-control'}}</td>				  
						</tr>
						<tr>
							<td>Test Coderbyte</td>
							<td>{{soal.coderbyte}}</td>
						</tr><tr>
							<td> Jawaban Test Coderbyte</td>
							<td>{{form.coderbyte|addclass:'form-control'}}</td>
						</tr>
					  </tbody>
					</table>
					<div class="text-center mt-4">
							<button class="btn btn-primary" >Submit Soal Test</button>
					</div>
				</form>
			{% else %}
			<div class="alert alert-danger text-center">Maaf anda tidak lulus untuk tahap selanjutnya. Terima Kasih sudah mencoba untuk melamar pekerjaan ini</div>
			{% endif %}
		</div>
		<div class="col-md-2">
		</div>	
	</div>
{% endblock %}